import { $cause, $meta, $namespace, $tags } from './symbols';
import type { JsonObject } from 'type-fest';
import type { RenderOptions } from './render';
export interface XceptionOptions {
    cause?: unknown;
    namespace?: string;
    meta?: Record<string, unknown>;
    tags?: string[];
}
export declare class Xception extends Error {
    protected [$cause]?: unknown;
    protected [$namespace]?: string;
    protected [$meta]: Record<string, unknown>;
    protected [$tags]: string[];
    constructor(message: string, options?: XceptionOptions);
    get cause(): unknown;
    get namespace(): string | undefined;
    get meta(): Record<string, unknown>;
    get tags(): string[];
    render(options?: RenderOptions): string;
    toJSON(): JsonObject;
}
